<?php defined('SYSPATH') || die('No direct script access.');

/**
 * @property $ID int
 * @property $Name string
 * @property $Role string
 */
class Model_Roles extends Model
{
    public static function getAccountInfo($uID, $sID) {
        $sql = 'CALL `GetFullInfo`(:pUserID, :pSemesterID)';
        $res = DB::query(Database::SELECT, $sql)
            ->parameters([
                ':pUserID' => $uID,
                ':pSemesterID' => $sID,
            ])->execute()[0];
        $res['name'] = $res['LastName'].' '.$res['FirstName'].' '.$res['SecondName'];
        return $res;
    }
    
    public static function getRoles() {
        $sql = 'CALL `GetRoles`()';
        return DB::query(Database::SELECT, $sql)->execute()->as_array();
    }
    
    public static function setRole($ID, $role) {
        $sql = 'SELECT `SetRole`(:pID, :pRole)';
        $result = '';
        if(
            DB::query(Database::SELECT, $sql)
                ->parameters([
                    ':pID'      => $ID,
                    ':pRole'    => $role,
                ])->execute()
        )
            $result = true;
        else
            $result = false;
        return $result;
    }
}
